Uploaded image for project: 'Tools (JBoss Tools)'
  1. Tools (JBoss Tools)
  2. JBIDE-7698

JBT 3.2.0 Beta2 contains invalid org.jdom plugin

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Blocker
    • Resolution: Done
    • Affects Version/s: 3.2.0.Beta2
    • Fix Version/s: 3.2.0.Beta2
    • Component/s: build
    • Labels:
      None

      Description

      JBT 3.2.0 Beta2 (v20101121-0147-H262-Beta2, for instance) contains the org.jdom plugin that is invalid.
      The plugin is unpacked and contains invalid signed information in the MANIFEST.MF file. Eclipse won't load any classes from the plugin.
      The problem can't always be reproduced because WTP also contains this plugin (valid) and in the case P2 chooses the plugin from WTP, the problem won't happen.

      Steps to reproduce:

      • install WTP to the dropins/wtp folder and JBT to the dropins/jbt folder
      • start Eclipse with the -clean option (P2 will select org.jdom from the JBT distribution)
        You can also change bundles.info.
      • checkout the o.j.t.ws.ui plugin

      the o.j.t.ws.ui plugin will contain compile errors (DOMBuilder cannot be resolved to a type).

      JBDS 4.0.0 Beta2 includes a valid the org.jdom plugin.

      Solution: removing the org.jdom from JBT or creating a valid the org.jdom plugin.

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                jpeterka Jiri Peterka
                Reporter:
                snjeza Snjezana Peco
              • Votes:
                0 Vote for this issue
                Watchers:
                0 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: